Get campaign

Retrieve detailed information about a specific dialer campaign.

The Get campaign endpoint returns detailed information about a specific Dialer campaign.

Requirements: Base URL, Authentication, Error codes

Scope: campaigns.read

What this does

When you send a Get campaign request with a campaign ID,

Voiso
returns the campaign object.

You can get the campaign ID from the Campaigns page in

Voiso
, or by using the Get list of campaigns endpoint.

Endpoint


GET /api/v4/campaigns/{campaign_id}

Path parameters

  • campaign_id
    The unique identifier of the campaign.

Example request

curl -X GET "https://{cluster_id}.voiso.com/api/v4/campaigns/3" \
  -H "Authorization: Bearer <contact_center_api_key>" \
  -H "Content-Type: application/json"

Response

If successful, the API returns a campaign object.

{
  "campaign": {
    "id": 3,
    "name": "Summer Outreach Campaign",
    "status": "active",
    "strategy": "simple",
    "dial_level": 1,
    "dial_level_override": {
      "enabled": true,
      "value": 1.5,
      "active_agents_threshold": 3
    },
    "max_dial_time": 60,
    "max_wait_time": 5,
    "max_dial_attempts": 3,
    "amd_enabled": true,
    "amd_voicemail_message": {
      "enabled": false,
      "voice_message": {
        "type": "voice_message",
        "name": "Instructions"
      }
    },
    "caller_id_sets": [
      {
        "phone_numbers": ["18885650001", "18885650002"]
      }
    ],
    "use_local_caller_id": false,
    "asr_optimization_enabled": true,
    "follow_up_mode": "timer",
    "created_at": "2026-01-15T10:30:00.000Z",
    "updated_at": "2026-01-20T14:15:00.000Z"
  }
}

Campaign fields shown above come from the Campaign schema: id, name, status, strategy, and dial_level.

Notes

  • status values include: draft, active, paused, stopping, completed, processing, stopped, auto_paused, pausing, auto_pausing, import_error.
  • strategy values include simple and predictive_ai.
  • The Get campaign response returns the full campaign configuration. Some fields can be null depending on which features are enabled and which settings were configured for the campaign.

Troubleshooting

401 Unauthorized

Returned if the API key is missing or invalid.

403 Forbidden

Returned if the API key does not have access to campaign resources.

404 Not found

Returned if the campaign ID does not exist or is not accessible.

429 Too many requests

Returned if requests are rate limited.

Path Params
integer
required

The unique identifier of the campaign.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json